ConfigurationException is thrown by Phing during the configuration and setup phase of the project.

author | Hans Lellelid
version | $Id$
package | phing

### Methods

## Construct a ConfigurationException.

    __construct(\Exception | string $p1, \Exception | null $p2)

Supported signatures: throw new BuildException($causeExc); throw new BuildException($msg); throw new BuildException($msg, $causeExc);

### Parameters

#### $p1

`\Exception` `string`

#### $p2

`\Exception` `null`

## Gets the cause exception.

    getCause() : \Exception

### Returns

`\Exception`

### Properties

##

    $cause : \Exception

##

    $location : \Location